Bug 80329 - VMWare networking is broken after kernel upgrade
VMWare networking is broken after kernel upgrade
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-24 10:16 EST by Richard de Vroede
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 15:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard de Vroede 2002-12-24 10:16:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After installing kernel 2.4.18-18.7.x on a RedHat 7.3 system, networking on
VMware 3.1 was broken. This applies to both Bridged networking and NAT networking. 
Some networking works (ping, internet browsing) others do not (windows
browselist, pptp).

Not affected: kernel <= 2.4.18-10
Affected: kernel = 2.4.18-18.7.x, kernel = 2.4.18-19.7.x

I only tested with i686 kernels. After rolling back the kernel to 2.4.18-10,
networking worked again.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install VMWare
2. Install a Guest OS (I tested W98 and W2k)
3. Upgrade to kernel 2.4.18-18.7.x, reboot
4. Run vmware-config.pl
5. Start VMWare with Guest OS: Networking is broken.
6. Downgrade to kernel 2.4.18-10, reboot
7. Run vmware-config.pl
8. Start VMWare with Guest OS: Networking works.
9. Repeated 1 to 8 multiple times to verify.
10. Upgraded to kernel 2.4.18-19.7.x, reboot
11. Run vmware-config.pl
12. Start VMWare with Guest OS: Networking is broken.


Additional info:

When VMware is closed, this is the output:

VMware PANIC: (scsi0:0) NOT_IMPLEMENTED F(831):654
VMware PANIC: (VMX) AIO: NOT_IMPLEMENTED F(831):654
VMware PANIC: (ide1:0) NOT_IMPLEMENTED F(831):654
VMware PANIC: (VMX) AIO: NOT_IMPLEMENTED F(831):654
Panic loop
Comment 1 Charlie Brady 2003-06-03 16:11:25 EDT
Perhaps that's something for VMWare to fix.

Note You need to log in before you can comment on or make changes to this bug.